<!DOCTYPE html>
<html lang="cs">

    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta name="description" content="Blog o všem možném i nemožném...." />
        <meta name="keywords" content="Projekty a odkazy" />
        <meta name="author" content="Lukáš Kaňka" />
        <link rel="stylesheet" href="./assets/css/style.css" />
        <!--nav bar-->
        <script src="https://kit.fontawesome.com/0a43c6cd1f.js" crossorigin="anonymous"></script>
        <!--icons dark, go to up-->
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" />
        <!--ubuntu fonts-->
        <style>
            @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
        </style>
        <!--         líbivé   ikony -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/fork-awesome@1.2.0/css/fork-awesome.min.css"
              integrity="sha256-XoaMnoYC5TH6/+ihMEnospgm0J1PM/nioxbOUdnM8HY=" crossorigin="anonymous" />
        <title>Odkazy a mé repozitáře</title>
    </head>

    <body>

        <header>
            <div class="logo">
                <link rel="stylesheet" href="style.css" />
                <img src="img/1702045296079.jpeg" alt="" />
                <h1 class="title">Lukáš Kaňka</h1>
                <p class="nav-p">Blog o všem možném i nemožném...</p>
            </div>


            <!-- Kakoune - navigation -->
            <nav class="navigation">
                <ul>
                    <li><a href="https://endeavouros.cz/" target="_blank">🚀 EndeavourOS</a></li>
                    <li><a href="./services/index.php" target="_blank">💻 Mé služby</a></li>
                    <li><a href="#contact">📱 Kontakty</a></li>
                </ul>
            </nav>
            <div class="menu-icon">
                <!-- Ikona hamburger -->
                <i class="fa-solid fa-bars"></i>
                <!-- Ikona cross -->
                <!-- <i class="fa-solid fa-xmark"></i> -->
            </div>
        </header>
        <hr />
        <button id="toggleButton"><i class="fas fa-adjust"></i></button>

        <section class="content" id="welcome">
            <section class="welcome">
                <h2>O mně:</h2>
                <p>👉 Jsem IT nadšenec s pozitivním přístupem k životu a vášní pro
                    technologie, ve kterých se neustále vzdělávám. Absolvoval jsem kurz
                    testingu a SQL v Acamaru, další kurz byl web developer u společnosti Engeto. Pracoval jsem na pozici testera ve společnosti Uniprog a nyní pracuji ve společnosti Kyndryl na projektu České Spořitelny pro platformu SMART. Stále se vzdělávám, a nyní hlavně v PHP, které mě velmi nadchlo.</p>
                <p>👉 Nyní navíc nabízím IT služby, pro více informací<a class="tlacitko" href="services/" target="_blank"> klikněte sem</a>.</p>
                <p>👉 Mé ropozitáře na mé projekty najdete pod tímto <a class="tlacitko" href="https://git.archoslinux.cz/kankys" target="_blank">odkazem</a>.</p>
                <p>👉 Mé CV najdete <a class="tlacitko" href="./zivotopis/index.php" target="_blank">zde</a>. </p>
            </section>
            <section id="advantages">
                <h2>Mé repozitáře:</h2>
                <p>👉 <a href="https://git.archoslinux.cz/kankys" target="_blank"><i class="fa fa-gitea"></i> Gitea -
                        archoslinux</a></p>
                <p>👉 <a href="https://git.arch-linux.cz/kankys" target="_blank"><i class="fa fa-gitea"></i> Gitea -
                        arch-linux</a></p>
                <p>👉 <a href="https://codeberg.org/Kankys" target="_blank"><i class="fa fa-gitea"></i> Codeberg</a></p>
                <p>👉 <a href="https://gitlab.com/LukasKanka" target="_blank"><i class="fa fa-gitlab"></i> GitLab</a></p>
                <p>👉 <a href="https://github.com/LukasKanka" target="_blank"><i class="fa fa-github"></i> GitHub</a></p>
            </section>
            <section class="photo">
                <img class="picture" src="img/linux-penguin-and-rainbow-background-imsv6hxt0e8zcl7m-3730406657.jpg" alt="Linux" />
                <img class="picture1" src="img/IMG_4835.JPG" alt="Lukáš Kaňka" />
                <img class="picture2" src="img/endeavourOS-astronaught-3246654328.jpg" alt="EndeavourOS" />
            </section>
            <section id="plans">
                <h2>Kam přispívám a projekty:</h2>
                <p><a href="../butcher" target="_blank">Textová hra plná napětí z podsvětí temného města.</a></p>
                <p><a href="https://endeavouros.cz/" target="_blank">Jsem zakládající člen České komunity EndeavourOS.</a></p>
                <p><a href="https://arch-linux.cz/" target="_blank">Aktivně přispívám do české komunity Arch Linux a přidružených projektů Oscloud a další. </a></p>
            </section>
            <section id="install">
                <h2>OpenSource a můj oblíbený software:</h2>
                <p><a href="https://vscodium.com/" target="_blank"><i class="fa fa-vscodium"></i> VSCodium</a> - opensource alternativa k VSCode bez Microsoft telemetrie.</p>
                <p><a href="https://netbeans.apache.org/front/main/index.html" terget="_blank"><i class="fa fa-netbeans"></i> Apache NetBeans</a> - tuto stálici na poli IDE teprve používám od doby kdy jsem se začal zajímat o PHP. NetBeans pochází z Čech a za jeho vznikem stál vysokoškolský projekt.</p>
                <p><a href="https://www.apachefriends.org/index.html" target="_blank"><i class="fa fa-xampp"></i> XAMPP</a> - vývojové prostředí pro PHP.</p>              
                <p><a href="https://filezilla-project.org/" target="_blank"><i class="fa fa-filezilla"></i> FileZilla</a> - FTP klient který zapínám hned po startu pc jako první.</p>
                <p><a href="https://www.mozilla.org/en-US/firefox/new/" target="_blank"><i class="fa fa-firefox"></i> Firefox</a> - nejoblíbenější, nestarnoucí webový prohlížeč.</p>
                <p><a href="https://cryptpad.arch-linux.cz/" target="_blank"><i class="fa fa-cryptpad"></i> CryptPad</a> - pokud potřebuji šifrovat dokumenty nebo jen s někým něco sdílet, ale navíc i nahradí office a skvěle si poradí s Markdown.</p>
                <p><a href="https://git.archoslinux.cz/" target="_blank"><i class="fa fa-gitea"></i> Gitea</a> - mimo GitHub svůj kód ukládám na Giteu.</p>

            </section>
          <!--   <section id="node">
                <h2>Node.js:</h2>
                <p>
                    👉 Doporučuji mít nainstalovaný
                    <a href="https://nodejs.org/en" href="_blank">Node.js</a>.
                </p>
                <p>👉 Pro správnou funkčnost LSP si doinstaluj tyto balíčky:</p>
                <p><a href="https://github.com/microsoft/vscode-html-languageservice">vscode-html-language-server</a></p>
                <p><a href="https://github.com/microsoft/vscode-css-languageservice">vscode-css-language-server</a></p>
                <p><a
                        href="https://github.com/typescript-language-server/typescript-language-server">typescript-language-server</a>
                </p>
                <p><a href="https://github.com/aca/emmet-ls">emmet-ls</a></p>
                <p><a
                        href="https://github.com/tailwindlabs/tailwindcss-intellisense/blob/master/packages/tailwindcss-language-server/README.md">tailwindcss-language-server</a>
                </p>
                <p><a href="https://github.com/artempyanykh/marksman">marksman</a></p>
                <p><a href="https://github.com/markdoc-extra/markdoc-ls">markdoc-ls</a></p>
                <p>👉 A také si doinstaluj tento server pro správnou funkčnost HTML v LSP příkazem: </p>
                <div class="code-box">
                    <p>npm install -g vscode-{html,css,json}-languageserver-bin</p>
                </div>
                <p>
                    👉 Dále si v Node.js nainstaluj
                    <a href="https://www.npmjs.com/package/live-server" target="_blank">Live-server</a>.
                </p>
                <p>
                    👉 Platí v případě, že chceš dělat front-end nebo programuješ v
                    Javascriptu.
                </p>
                <p>👉 Ve svém projektu budeš moci pouštět index.html příkazem:</p>
                <div class="code-box">
                    <p>npx live-server</p>
                </div>
                <p> 👉 Všechny servery, co si můžeš pomocí LSP nainstalovat, najdeš <a
                        href="https://github.com/kakoune-lsp/kakoune-lsp/wiki/How-to-install-servers" target="_blank">zde</a>. </p>
            </section>
            <section id="kakoune">
                <h2>Kakoune:</h2>
                <p>
                    👉 Pro instalaci Kakoune Front-End Power Ti stačí stáhnout pouze soubor
                    <strong>kakrc</strong> z tohoto <a href="https://git.archoslinux.cz/kankys/Kakoune-modal-editor-config"
                                                       target="_blank">repozitáře</a> .
                </p>
                <p>
                    👉 Ulož ho do kořenováho adresáře <strong>~/.config/kak/</strong>. <strong>Nezapomeň na zálohu stávajících
                        souborů, pokud máš i své configy.</strong>
                </p>
                <p>👉 Kakoune pustíš v terminálu příkazem <strong>kak</strong>.</p>
                <p>
                    👉 V Kakoune zadej do command line <strong>plug-install</strong>, tím
                    nainstaluješ všechny pluginy. Restartuj Kakoune.
                </p>
                <p>
                    👉 Pokud Ti některý plugin chybí, můžeš ho lehce doinstalovat nebo
                    naopak odinstalovat. Více informací
                    najdeš v Kakoune
                    <a href="https://github.com/mawww/kakoune#3-basic-interaction" target="_blank">dokumentaci</a>
                    nebo velmi Ti rád poradím viz. <a href="#contact">Kontakty</a>.
                </p>
                <p>
                    👉 Pokud některý plugin nechceš používat, stačí ho v souboru
                    <strong>kakrc</strong> zakomentovat pomocí hastagu
                    <strong>#</strong>.
                </p>
                <p>
                    👉 Tuto konfiguraci používám na Linuxu i macOS. </p>
            </section>

            <section id="plugin">
                <h2>Výběr pluginu v Kakoune Front-End Power:</h2>
                <p>
                    👉 <strong>plug.kak</strong> nejduležitější plugin, aby bylo možné instalovat další pluginy.</p>
                <p>
                    👉 <strong>kakoune-lsp</strong>
                </p>
                <p>
                    👉 <strong>luar</strong> rozšíří možnost instalovat pluginy napsané v jazyce Lua. </p>
                <p>
                    👉 <strong>byline.kak</strong> vybere celý řádek pomocí klávesy <strong>x</strong> jako v Helix-editoru. </p>
                <p>
                    👉 <strong>auto-pairs</strong> automaticky doplní závorky. </p>
                <p>
                    👉 <strong>fzf.kak</strong> rychlé asynchronní vyhledávaní souborů. </p>
            </section>
            <section id="faq">
                <h2>Otázky a odpovědi:</h2>
                <p>👉 Kolik Kakoune stojí? -> Nic, Kakoune je zdarma.</p>
            </section>-->
            <section id="contact">
                <h2>Kontakty:</h2>
                <p>👉 <a href="https://mastodon.arch-linux.cz/deck/@Kankys" target="_blank"><i class="fa fa-mastodon"></i> Mastodon</a><p>
                <p>👉 <a href="https://www.linkedin.com/in/luk%C3%A1%C5%A1-ka%C5%88ka-b2a0a1a0/" target="_blank"><i class="fa fa-linkedin"></i> LinkedIn</a></p>
                <p>👉 <a href="https://t.me/Kankys" target="_blank"><i class="fa fa-telegram"></i> Telegram</a></p>
                <p>👉 <a href="https://pixelfed.cz/i/web/profile/464150575238569182"><i class="fa fa-pixelfed"></i> Pixelded CZ</a></p>
                <p>👉 <a href="https://discord.com/kankys_" target="_blank"><i class="fa fa-discord"></i> Discord</a></p>
                <p>👉 Telefoní číslo: <i class="fas fa-phone"></i> <a href="tel:+725303747"> +420 725 303 747</a></a></p>
                <p>👉 E-mail: <i class="fas fa-envelope"></i> <a href="mailto:lukas.kanka@outlook.cz"> Lukáš Kaňka</a></p>
            </section>
            <section id="help">
                <h2>Podpora:</h2>
                <p>
                    👉 Pokud mě chceš podpořit nebo se podílet na obsahu projetků na kterých pracuji ve svém volném čase, budu rád, když mi napíšeš.
                </p>
                <p>👉 Taky můžeš tento projekt podpořit pár Satoshi:</p>
                <img class="sat" src="https://lukan.cz/wp-content/uploads/2024/03/sat-150x150.jpeg" alt="Satoshi" />
            </section>
            <section id="other">
                <h2>Další projekty a odkazy:</h2>
                <p>
                    👉 <a href="https://arch-linux.cz/" target="_blank">ArchLinux CZ</a>
                </p>
                <p>
                    👉
                    <a href="https://searxng.cz/" target="_blank">Vyhledávač SearXNG CZ</a>
                </p>
                <p>
                    👉
                    <a href="https://endeavouros.com/" target="_blank">EndeavourOS Linux</a>
                </p>
                <p>
                    👉 <a href="https://i3wm.org/" target="_blank">i3 window manager</a>
                </p>
            </section>
        </section>
        <button onclick="scrollToTop()" id="scrollToTopBtn" title="Go to top">
            <i class="fas fa-arrow-up"></i>
        </button>
        <footer>
            Copyright &copy;
            <a href="https://git.archoslinux.cz/kankys" target="_blank">Lukáš Kaňka</a>
            2024
        </footer>
    </section>
    <script src="./assets/js/script.js"></script>

</body>
</html>
